#
# spec file for package ghc-relational-query-HDBC
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name relational-query-HDBC
Name:           ghc-%{pkg_name}
Version:        0.6.4.0
Release:        lp150.1.4
Summary:        HDBC instance of relational-query and typed query interface for HDBC
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HDBC-devel
BuildRequires:  ghc-HDBC-session-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-convertible-devel
BuildRequires:  ghc-dlist-devel
BuildRequires:  ghc-names-th-devel
BuildRequires:  ghc-persistable-record-devel
BuildRequires:  ghc-relational-query-devel
BuildRequires:  ghc-relational-schemas-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-th-data-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the HDBC instance of relational-query and the typed query
interface for HDBC. Generating Database table definitions and functions for
relational-query by reading table and index definitions from Database system
catalogs.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md

%changelog
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.6.4.0.
* Thu May 18 2017 psimons@suse.com
- Update to version 0.6.0.3 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.6.0.2 revision 0 with cabal2obs.
